Subject: Re: bug#9917: 24.0.90; Make `goto-line' consistent with the line number from the minibuffer

From: Stefan Monnier <[email-masked]>
Date: Tue, 01 Nov 2011 13:56:19 -0400

> Just removing `(widen)' from `goto-line' will fix this.  But the question is
> why it's here.  What was the intention of adding `(widen)' here.

Because depending on the use of narrow-to-region, you'll want widen
or not.  Some code was written with some particular uses in mind, while
other code was written with other uses in mind, hence
the inconsistencies.

The difference is whether narrow-to-region really wants to pretend the
text outside the region doesn't exist at all (e.g. in Rmail or Info), or
whether it is just meant to temporarily only display a subpart
(e.g. most other cases).

Then things get interesting when the user uses narrow-to-region in Info
or Rmail.  Currently the only data we have to distinguish the two cases
is font-lock-dont-widen, but clearly it's not sufficient to handle the
"user narrowing in Info" case.

        Stefan